SystemOrganization addCategory: #'GT-SpotterExtensions-CoreRoassal'!

!RTElement methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'AlexandreBergel 1/9/2015 18:08'!
spotterActDefault
	self view canvas camera translateTo: self position.
	RTBlink on: self.! !

RTInteraction subclass: #RTFindInAView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-SpotterExtensions-CoreRoassal'!

!RTFindInAView methodsFor: 'hooks' stamp: 'AliakseiSyrel 1/19/2015 21:36'!
initializeElement: aView

	| mb |
	mb := RTMenuBuilder new.
	mb view: aView.
	mb menu: 'Find' callback: [ 
        GTSpotterMorph new
                        extent: 400@500;
                        spotterModel: (GTSpotter on: aView);
                        openCenteredInWorld ].
	mb build! !

!RTExampleSelection methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 9/8/2015 21:37'!
gtInspectorRoassalViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ self returnValue ]
		! !

!RTExampleSelection methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 9/8/2015 21:38'!
gtInspectorViewIn: composite
	<todo: 'deprecated: #gtInspectorViewIn:'>
	^ self gtInspectorRoassalViewIn: composite! !

!RTExampleSelection methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 9/8/2015 21:12'!
gtSpotterPreviewIconIn: aComposite
	<spotterPreview: 10>
	(self provider class canPerform: (self selector, 'Icon') asSymbol)
		ifTrue: [ 
			aComposite addBrickBack: (self iconForm asAlphaImageMorph
				layout: #center;
				scale: 2.0) asBrick ]

	! !

!RTExampleSelection methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 18:36'!
matchesQuery: aSetOfNames
	| sourceCode |
	
	sourceCode := self method sourceCode asLowercase.
	^ aSetOfNames allSatisfy: [ :each | sourceCode includesSubstring: each ]
! !

!RTExampleSelection methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 9/8/2015 21:41'!
spotterPreviewExampleIn: aComposite
	<todo: 'deprecated: #spotterPreviewExampleIn:'>
	self gtSpotterPreviewIconIn: aComposite
	! !

!RTView methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'StefanReichhart 2/24/2015 14:46'!
spotterElementsFor: aStep
	<spotterOrder: 10>
	^ aStep listProcessor
		title: 'Elements';
		candidatesLimit: 100;
		allCandidates: [ self elements ];
		itemName: [ :each | each model gtDisplayString ];
		filter: GTFilterSubstring;
		wantsToDisplayOnEmptyQuery: true! !

!RTView methodsFor: '*GT-SpotterExtensions-CoreRoassal' stamp: 'AndreiChis 7/12/2015 00:10'!
spotterPreviewIn: aComposite
	<spotterPreview: 10>
	
	self build.
	aComposite addBrickBack: self view setUpCanvas buildMorph

	! !
